> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Order Confirm


> Accept Order with Stauts `UNACKED`.




## OpenAPI

````yaml /openapi/scx/seller.json put /v1/seller/order/accept
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/order/accept:
    put:
      tags:
        - Order
      summary: |
        Order Confirm
      description: |
        Accept Order with Stauts `UNACKED`.
      operationId: ConfirmOrders
      requestBody:
        $ref: '#/components/requestBodies/OrderAccept'
      responses:
        '201':
          $ref: '#/components/responses/Created'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  requestBodies:
    OrderAccept:
      description: >-
        Seller acceptance of a marketplace order, confirming that it will be
        fulfilled.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OrderAccept'
  responses:
    Created:
      description: Created
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    OrderAccept:
      description: >-
        Batch of seller order confirmations — acknowledges that the listed
        orders will be fulfilled.
      title: OrderConfirm
      type: object
      properties:
        orderList:
          type: array
          minItems: 1
          maxItems: 1000
          items:
            type: object
            required:
              - channel
            allOf:
              - type: object
                properties:
                  channel:
                    $ref: '#/components/schemas/Channel'
              - $ref: '#/components/schemas/OrderConfirm'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    Channel:
      description: |
        This is the unique Channel name.
      type: string
      example: MYBESTDEALCOMDE
      pattern: ^\w{5,15}$
    OrderConfirm:
      title: OrderConfirm
      type: object
      required:
        - sellerId
        - orderId
        - orderConfirmed
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        orderId:
          type: string
          example: 43523-43432-43532
        orderAccepted:
          type: boolean
          example: false
        reason:
          $ref: '#/components/schemas/CancelReason'
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    CancelReason:
      type: string
      description: >
        * BUYER_CANCELLED: the buyer cancelled the order.

        * UNDELIVERABLE_TO_SHIPPING_ADDRESS: Could not deliver to the address
        given by the buyer.

        * UNDELIVERABLE_BY_CARRIER: Carrier do not ship to the buyerss location.

        * OUT_OF_STOCK: The item is out of stock, for example because you are
        temporarily or permenantly sold out.

        * DELAYED_INVENTORY: The item is not in your inventory and there is a
        delay in delivery by the supplier.

        * PRICING_ERROR: The price on the connected marketplace was incorrect.

        * OTHER: Well, objvoiusly there is some reason missing in this list.
      enum:
        - BUYER_CANCELLED
        - UNDELIVERABLE_TO_SHIPPING_ADDRESS
        - UNDELIVERABLE_BY_CARRIER
        - OUT_OF_STOCK
        - DELAYED_INVENTORY
        - PRICING_ERROR
        - OTHER
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````